Subject: bug#21760: timeout: Feature Request: --verbose ==> output if timeout was reached

From: Bernhard Voelker <[email-masked]>
Date: Wed, 28 Oct 2015 15:10:33 +0100

On 10/28/2015 11:00 AM, Pádraig Brady wrote:
> Reopened until someone else votes.

I'm 50:50 regarding the usefulness of --verbose.
Writing "killed PRG after N seconds elapsed" sounds like a useful
message, yet I'm afraid that then other requests may follow soon
which may really bloat the code, e.g.

   $ timeout --verbose 10 sleep 5
   timeout: child process terminated after 5.012 seconds.

As it's easy to have a wrapper for the original request, I'd rather
not add it.

BTW: timeout shares stdout/stderr with its child; therefore,
wouldn't the interleaved output be problematic?

Have a nice day,
Berny